kwin (4:6.6.3-0ubuntu3) resolute; urgency=medium

  * Add fix-drm-open-fallback-to-logind-fd.patch: Fall back to logind
    file descriptor when direct DRM node open fails. Fixes SDDM greeter
    compositor failing to start after logout because sddm user lacks
    filesystem-level permissions on /dev/dri/card* during session switch.
    (LP: #2147233)

 -- Erich Eickmeyer <eeickmeyer@kfocus.org>  Fri, 03 Apr 2026 14:40:00 -0700

kwin (4:6.6.3-0ubuntu2) resolute; urgency=medium

  * Add upstream_fix-kde-bug-517556.patch, recommended by KDE to work
    around very bad colour banding and some other glitches for fullscreen
    applications on recent AMD GPUs.

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Mar 2026 18:32:16 +0000

kwin (4:6.6.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Mar 2026 14:42:19 +0000

kwin (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:22:27 +0000

kwin (4:6.6.1-0ubuntu2) resolute; urgency=medium

  * Add upstream patch to fix build of game controller plugin on 32bit
    arches.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Mar 2026 05:32:09 +0000

kwin (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * For now disable build of new game controller plugin, as this FTBFS
    on armhf.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:14:07 +0000

kwin (4:6.5.5-0ubuntu4) resolute; urgency=medium

  * Update build deps for Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 07:28:52 +0000

kwin (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:55:07 +0000

kwin (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * Stop recommending obsolete xwaylandvideobridge.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 06:38:44 +0000

kwin (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:55:59 +0000

kwin (4:6.5.4-0ubuntu3) resolute; urgency=medium

  * Add upstream_fix-kde-bug-513151.patch
    https://bugs.kde.org/513151

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 18:00:03 +0000

kwin (4:6.5.4-0ubuntu2) resolute; urgency=high

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Dec 2025 21:27:50 +0000

kwin (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:18:10 +0000

kwin (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:07:36 +0000

kwin (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:12:25 +0000

kwin (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:41 +0000

kwin (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Bump plasma-wayland-protocols bd to 1.19.0
  * New build dep on knighttime-dev.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:37:22 +0100

kwin (4:6.4.5-0ubuntu3) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:14:18 +0100

kwin (4:6.4.5-0ubuntu2) questing; urgency=medium

  * Drop transitional kwin-x11 package.
  * Recommend kwin-style-aurorae.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Sep 2025 21:55:35 +0100

kwin (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)
  * Drop included upstream patch.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:02:07 +0100

kwin (4:6.4.4-0ubuntu2) questing; urgency=medium

  * Add upstream requested patch upstream_backport-7d36003c.patch
    https://bugs.kde.org/508350

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Aug 2025 14:04:23 +0100

kwin (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on libxcb-res0-dev
  * Bump plasma-wayland-protocols build dep to 1.18.0
  * Also bump waylamd-protocols to 1.44
  * Update install files.
  * kwin-x11 transitional package until source accepted.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:29:02 +0100

kwin (4:6.3.5-0ubuntu2) questing; urgency=medium

  * Add xorg dependency to kwin-x11 as that dependency will sonn be
    removed from desktop-common. (LP: #2114015)

 -- Rik Mills <rikmills@kde.org>  Sat, 14 Jun 2025 08:15:21 +0100

kwin (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)
  * Drop included upstream_backport-crash-fix-93bf2f98.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:34:10 +0100

kwin (4:6.3.4-0ubuntu2) plucky; urgency=medium

  * Backport crash fix requested by KDE developers:
    https://mail.kde.org/pipermail/distributions/2025-April/001573.html
    - d/p: upstream_backport-crash-fix-93bf2f98.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Apr 2025 17:56:15 +0100

kwin (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)
  * Drop no longer required upstream patches.
    - Remove upstream_fix-kde-bug-501357.patch
    - Remove bump-project-version.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:55:53 +0100

kwin (4:6.3.3-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:20 -0500

kwin (4:6.3.3-0ubuntu3) plucky; urgency=medium

  * Add upstream_fix-kde-bug-501357.patch to fix kwin/rules kcm options
    comboboxes not showing content.

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Mar 2025 10:48:31 +0000

kwin (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * Add patch to bump project version in CMakeLists to 6.3.3.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 18:34:24 +0000

kwin (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:19:46 +0000

kwin (4:6.3.2.1-1ubuntu2) plucky; urgency=medium

  * Add patch recommended by upstream for KDE Bug 500819
    https://bugs.kde.org/500819

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 00:03:39 +0000

kwin (4:6.3.2.1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on KF6 6.10.0 and Plasma 6.3.2.
    - Breaks/Replaces to suit Ubuntu upload history.
    - Install org.kde.kwin.killer.desktop in kwin-data with the other
      .desktop files.
    - Add depend on qml6-module-qtqml-workerscript.
    - Build depend on libcap2-bin so setcap binary can be found when
      configuring.
    - Do setcap CAP_SYS_NICE for kwin_wayland as requested by Plasma devs.
    - Add ${python3:Depends} for kwin-data.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Mar 2025 17:55:52 +0000

kwin (4:6.3.2.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * Drop upstream patch now part of the release.
  * New upstream release (6.3.2.1).
  * Update build-deps and deps with the info from cmake.
  * Drop reverted commits, latest release includes the fix for building with
    Qt 6.7.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 01:01:30 +0100

kwin (4:6.3.2.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 23:16:19 +0000

kwin (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:16:15 +0000

kwin (4:6.3.1-0ubuntu2) plucky; urgency=high

  * Sync copyright update from Debian.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 06:45:47 +0000

kwin (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:23:15 +0000

kwin (4:6.3.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream fix for X11 crashes on output plug/unplug.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 12 Feb 2025 21:20:36 +0100

kwin (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Revert upstream commits cdcfaf09, 384f6084, 624a12e9 and 8c317be0
    adding test cases and breaking the build with Qt 6.7.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:07:44 +0100

kwin (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:55:21 +0000

kwin (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:44 +0100

kwin (4:6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Feb 2025 11:20:41 -0600

kwin (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:41:54 +0000

kwin (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from the build logs.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:48:50 +0100

kwin (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.90)
  * Switch kdecorations build dep to libkdecorations3-dev
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:19:45 +0000

kwin (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:24:18 +0100

kwin (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:01:07 +0000

kwin (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:39:24 +0100

kwin (4:6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 01:06:25 -0600

kwin (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:13:57 +0000

kwin (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Drop patch for backported commit, now part of the upstream release.
  * Add build dependency to qt6-declarative-private-dev required since
    cmake 3.31.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:37 +0100

kwin (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New build depends on qt6-svg-dev and libcanberra-dev
  * New upstream release (6.2.1)
  * New upstream hotfix release (6.2.1.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:57:08 +0000

kwin (4:6.2.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.2).
  * Revert upstream minor version bump for build dependencies to avoid
    rebuilding all Plasma packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Oct 2024 18:51:17 +0200

kwin (4:6.2.1.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.1.1).

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Oct 2024 21:41:45 +0200

kwin (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:25:43 +0200

kwin (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:51 +0200

kwin (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.
  * Drop obsolete use of python build tools formerly used for some
    kconf_update scripts.
  * Drop useless ${shlibs:Depends} for kwin-dev.
  * Recommend xwaylandvideobridge for screen sharing of X11 apps under Wayland.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:58:09 +0200

kwin (4:6.1.5-0ubuntu3) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:07:04 +0100

kwin (4:6.1.5-0ubuntu2) oracular; urgency=medium

  * kwin-wayland: Recommend xwaylandvideobridge for screen sharing of
    X11 apps under Wayland.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:18:51 +0100

kwin (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:59:35 +0100

kwin (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Ship desktop file for kwin_killer_helper alongside the binary.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:28 +0200

kwin (4:6.1.4-0ubuntu2) oracular; urgency=medium

  * Add Breaks/Replaces for kwin-data -> kwin-addons (<< 4:6.1.4~).

 -- Rik Mills <rikmills@kde.org>  Wed, 21 Aug 2024 06:06:33 +0100

kwin (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)
  * Drop included upstream patch.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:42:24 +0100

kwin (4:6.1.3-4) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks / Replaces against pre-Plasma 6 kwin-addons. (Closes: #1078436)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 22:51:39 +0200

kwin (4:6.1.3-3ubuntu1) UNRELEASED; urgency=medium

  * Add depend on qml6-module-qtqml-workerscript.
  * Build depend on libcap2-bin so setcap binary can be found when
    configuring.
  * Do setcap CAP_SYS_NICE for kwin_wayland.

 -- Rik Mills <rikmills@kde.org>  Wed, 31 Jul 2024 16:06:56 +0100

kwin (4:6.1.3-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Use the Qt6 build dependency for QtWalandScanner and not Qt5.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 31 Jul 2024 15:35:52 +0200

kwin (4:6.1.3-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Mon, 29 Jul 2024 15:00:25 +0900

kwin (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.
  * Backport upstream commit to Fix crash that happens when toggling
    compositing with the X11 backend.
  * Drop obsolete Breaks/Replaces relations.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:22 +0200

kwin (4:6.1.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove dependency to kwayland-integration as kwayland-integration is
    Qt 5-only.

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Jul 2024 18:48:43 +0200

kwin (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files, dependencies and new binary package
    libkwin6.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Mon, 01 Jul 2024 19:47:04 +0200

kwin (4:5.27.11-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rebuild due to ABI conflict bettween kwin and Wayland 1.23. (Closes:
    #1076729)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 25 Jul 2024 09:32:37 +0200

kwin (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 14:25:38 +0200

kwin (4:5.27.11-0ubuntu4) oracular; urgency=medium

  * No-change rebuild against wayland 1.23.0 (LP: #2074059)

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 17:48:33 +0100

kwin (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:25:18 +0100

kwin (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:36 +0200

kwin (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:10:46 +0200

kwin (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:55:01 +0200

kwin (4:5.27.5-3) unstable; urgency=medium

  * Restore mistakenly dropped 4:5.27.2-2 changelog entry.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 21:31:01 +0200

kwin (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:46 +0200

kwin (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:28:31 +0200

kwin (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:19:03 +0100

kwin (4:5.27.2-2) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * Backport patch to fix kwin for Lima (Pinephone) (Closes: #1033212)

 -- Sandro Knauß <hefee@debian.org>  Fri, 05 May 2023 14:22:35 +0200

kwin (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.27.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:01:10 +0100

kwin (4:5.27.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the xwayland build dependency, setting its required version to
    2:22.1.7-1: this version ships a pkg-config file, which is used at build
    time to determine which runtime option to use; this avoids the usage of
    e.g. the deprecated "-listen" option.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
    - add the dh-sequence-python3 build dependency to use the python3 addon
      automatically, replacing the dh-python build dependency

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:46 +0100

kwin (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update the list of installed files from build logs.
  * Update cross-plasma versioned dependencies.
  * Remove obsolete lib (build) dependencies in favour of their
    replacements.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:58 +0100

kwin (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:22:19 +0100

kwin (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:06:54 +0100

kwin (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:46:53 +0100

kwin (4:5.26.2.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.26.2.1).
  * Update build-deps and deps with the info from cmake.
  * Tighten cross-plasma components dependencies.

  [ Helmut Grohne ]
  * Improve cross building: Pass qtwaylandscanner to cmake. (Closes: #1022136)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:35:50 +0200

kwin (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:23 +0200

kwin (4:5.25.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten cross-plasma components dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Oct 2022 11:47:06 +0200

kwin (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh patch uninitialized-yuvformat.patch.
  * Bump version of internal libraries libkwineffects and libkwinglutils
    from 13 to 14.
  * Drop obsolete internal library libkwinxrenderutils13.
  * Update the list of installed files from build logs.
  * Upstream merged Wayland backends into the main KWin library.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Sep 2022 23:15:21 +0200

kwin (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:22:15 +0200

kwin (4:5.25.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Aug 2022 20:32:35 +0200

kwin (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:34:29 +0200

kwin (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop now unused build dependencies on libkf5kio-dev, kinit-dev,
    libqt5sensors5-dev and qtscript5-dev.
  * Refresh lintian overrides.
  * Add a Recommends on systemsettings used to invoke KCMs.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:29:13 +0200

kwin (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:47:26 +0200

kwin (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Tighten cross-plasma components dependencies.
  * Update the list of installed files from build logs.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:57 +0200

kwin (4:5.24.90-2) experimental; urgency=medium

  * Tighten build dependency to libkdecorations2-dev (>= 4:5.24.90~).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 31 May 2022 22:25:39 +0200

kwin (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Retire kwin-wayland-backend-fbdev.
  * Update the list of installed files from build logs.
  * Drop symbols files, useless for non-public library packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:47:01 +0200

kwin (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:31 +0200

kwin (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:06:41 +0200

kwin (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:02:48 +0100

kwin (4:5.24.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks for libkwin4-effect-builtins1.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Mar 2022 18:50:26 +0100

kwin (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Re-export signing key without extra signatures.
  * Update B-Ds and deps with the info from cmake.
  * Remove autopkgtest.
  * Remove binary package libkwin4-effect-builtins1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:55 +0100

kwin (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 18:01:12 +0100

kwin (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

  [ Patrick Franz ]
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 22:25:21 +0100

kwin (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:39:33 +0900

kwin (4:5.23.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

kwin (4:5.23.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Tighten build-dependencies.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Oct 2021 21:44:41 +0200

kwin (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * Fix patch for new file location.
  * Unfuzzify patch.
  * Update list of installed files.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:14 +0900

kwin (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:24:05 +0200

kwin (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 18:52:03 +0200

kwin (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:47:06 +0200

kwin (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:41 +0900

kwin (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:49 +0900

kwin (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:39 +0900

kwin (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.
  * Drop upstream patch.
  * Rename libraries from 12 -> 13.
  * Add kf5runner and lcms to B-D, and bump kdecorations.
  * Update symbols.

  [ Aurélien COUDERC ]
  * Drop package-name-doesnt-match-sonames override for libkwineffects*, not
    needed anymore.
  * Refresh copyright information.
  * Override lintian kwin-common: no-symbols-control-file, we don’t ship header
    files for these libraries.
  * Override lintian libkwin4-effect-builtins1: no-symbols-control-file, we
    don’t ship header files for this library.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:27 +0900

kwin (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

kwin (4:5.20.4-4) unstable; urgency=medium

  * Enable pipewire support by adding the respective B-D.

 -- Norbert Preining <norbert@preining.info>  Mon, 28 Dec 2020 09:44:54 +0900

kwin (4:5.20.4-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

kwin (4:5.20.4-2) experimental; urgency=medium

  * Rebuild for Qt transition.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Dec 2020 00:38:11 +0900

kwin (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update and tighten dependencies.
  * Update list of installed files.
  * Update lintian overrides.
  * Update symbols.
  * Remove upstream included d/p/duplicate-property-warning.patch.

  [ Aurélien COUDERC ]
  * Backport upstream patch to fix left-edge dead pixel for click and scroll
    events.

  [ Pino Toscano ]
  * Switch the transitional libxcb-util0-dev build dependency to
    libxcb-util-dev.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Trim trailing whitespace.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update lintian overrides.

  [ Scarlett Moore ]
  * Bump kwin-common recommends/suggest plasma depends to current release.
  * Update upstream/metadata.
    - Repositories to invent.kde.org.
    - Added bug database.
    - Updated changelog to point to announcements.
  * Remove LD_FLAGS override, no longer needed, --as-needed is default now.
  * Add hardening options +all.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

kwin (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:23 +0900

kwin (4:5.19.5-2) experimental; urgency=medium

  [ Scarlett Moore ]
  * Fix "FTBFS: egl_dmabuf.cpp:97:9: error: EGL_TEXTURE_Y_XUXV_WL
    was not declared in this scope" Apply upstream commit
    2c76cc4784382b3df9b5413860d0793ea26cea31 which addresses the misuse
    of private headers.
    (Closes: #973149)
  * Add salsa-ci config so we can build on salsa.

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:39:13 +0900

kwin (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:45:27 +0900

kwin (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Jiří Paleček ]
  * New versions of dependencies for 5.18.5
  * Install new files
  * Use dh-python3
  * Add some patches, fixing compile warnings (affecting code correctness)
  * Rename libkwineffects12 to -12a
  * Remove some symbols from libkwinglutils

 -- Jiri Palecek <jpalecek@web.de>  Mon, 15 Jun 2020 03:01:07 +0200

kwin (4:5.17.5-4) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Fix "FTBFS: egl_dmabuf.cpp:97:9: error: EGL_TEXTURE_Y_XUXV_WL
    was not declared in this scope"
    Apply upstream commit 2c76cc4784382b3df9b5413860d0793ea26cea31
    as Fix_misuse_of_EGL_eglmesaext_h.patch
    which addresses the misuse of private headers.
    (Closes: #973149)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Oct 2020 23:23:05 -0300

kwin (4:5.17.5-3) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Replace the transitional libfontconfig1-dev build dependency with
    libfontconfig-dev.
  * Add the libxcb-xfixes0-dev dependency to kwin-dev, as the kwin headers use
    xcb/xfixes.h.
  * 'acc' autopkgtest: make it verbose, and copy the logs as artifact if
    requested.
  * Fix typo in kwin-common.maintscript to properly remove the old
    /etc/xdg/kwinswitcher.knsrc conffile.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Update lintian overrides.

  [ Jiří Paleček ]
  * Rules-Requires-Root: no

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Add Scarlett Moore to Uploaders.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Update list of installed files.
  * Update symbols files.
  * Unfuzzify patches.
  * Add build-deps for Python.
  * Tighten build-deps for kscreenlocker-dev.
  * Clean up lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 19:04:07 +0200

kwin (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:53:37 +0100

kwin (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5):
    - work better with NVIDIA drivers (Closes: #925528)
    - properly restore the current desktop from session (Closes: #930538)
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release:
    - add support for zwp_linux_dmabuf (Closes: #892204)
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - bump breeze-dev, kscreenlocker-dev, and libkdecorations2-dev to 5.17
    - add libxcb-util0-dev
    - explicitly add gettext
    - switch from the transitional libfreetype6-dev to libfreetype-dev
  * Drop the migration from kwin-dbg, no more needed after two Debian stable
    releases.
  * Remove breaks/replaces for versions older than oldstable.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
    - drop no more needed patches: Disable-testShadeWobblyWindows.patch,
      Ignore-cursor-weird-behaviour-under-a-containerized-xvfb.patch, and
      disable-MouseMark-and-TrackMouse-effects-loading-test.patch
  * Update install files.
  * Unregister old conffiles.
  * Rename some packages according to new SONAMEs:
    - libkwineffects11 -> libkwineffects12
    - libkwinglutils11 -> libkwinglutils12
    - libkwinxrenderutils11 -> libkwinxrenderutils12
  * Update symbols files.
  * Do not use the ${shlibs:Depends} substvar in kwin-data, as it does not
    exist.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update lintian overrides.
  * Tighten inter-libraries dependencies
    - remove almost all the manual dependencies

  [ Helmut Grohne ]
  * Mark kwin-data Multi-Arch: foreign. (Closes: #893438)

 -- Pino Toscano <pino@debian.org>  Mon, 13 Jan 2020 06:45:42 +0100

kwin (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:57 -0300

kwin (4:5.14.3-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Nov 2018 16:25:34 +0100

kwin (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Update symbols files.
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:38 -0300

kwin (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:35 +0200

kwin (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * disable MouseMark and TrackMouse effects loading test
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:06 +0200

kwin (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Force build against the new kdecoration soversion
  * Update symbols files.
  * Ignore cursor weird behaviour under a containerized xvfb
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:07 +0200

kwin (4:5.12.5-1) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4.
  * New upstream release (5.12.5).
  * testsuite: fix most of the test running environment
  * Add patch: Disable-testShadeWobblyWindows.patch
  * Add missing -dev dependency
  * Run the tests sequentialy
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:01 +0200

kwin (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Add a misc depends to kde-window-manager
  * Drop kde-window-manager transitional package
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:47 +0200

kwin (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:08 +0100

kwin (4:5.12.1-1) sid; urgency=medium

  * Add qml virtualkeyboard as a recommends
  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:54 +0100

kwin (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Add libcap as a build depends
  * Set kwin_wayland capabilities in postinst
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:42 +0100

kwin (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Use https uri for uscan
  * Drop unused lintian overrides
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:50 +0100

kwin (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Update install files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:03 -0300

kwin (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:31 +0200

kwin (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3.1).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * Sync watch file and signing-key.asc with neon
  * Bump kdecorations build dep to 5.10
  * Update symbols files after soversion bump
  * New upstream release (5.10.4).
  * New upstream release (5.10.5).
  * Drop upstream patches
  * Release to experimental

  [ Jonathan Riddell ]
  * update for new soversion
  * update .install

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:21 +0200

kwin (4:5.8.7-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix build with modularized Qt PlatformSupport.
    (Closes: #873078)
  * Backport upstream patch to fix ‘undefined reference to qCompare’ error.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Aug 2017 14:06:50 +0300

kwin (4:5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7)
      + move the view at the correct index at startup
        using the same trick as elsewhere, set the currentIndex
        and move the view to currentIndex right at startup
        the only way to be sure is onContentHeightChanged
        as there are no signals for when "the view has been
        populated and settled up"
      + [kcm_kwindecoration] Respect theme colors in buttons
      + Fix crash on dragging titlebar buttons in System Settings
        Currently, if user tries to move one of buttons to the left, ending up
        dragging one button onto another, crash occurs.
        In addition, this patch replaces verbose replacement(remove/insert) with
        more elegant QVector<T>::move(int, int)
        Fixes KDE#374153
      + [platforms/drm] Explicitly request event context version 2
        Libdrm 2.4.78 introduces a version 2 and if KWin gets built against it
        our code would break. Given that this change is for Plasma/5.8 branch.
        (https://phabricator.kde.org/T5839)
      + Fix KWin decoration KCM showing correct index at startup
        The KCM has a context property of the currently set theme index. This is
        set before the decorations model is populated, so it is currently always
        -1.
        This model is populated after the constructor but before
        KCModule::load().
        KCModule::load is called from KCModule::showEvent so before
        QQuickGridView will start doing anything with delegates.
        This fixes the problem simply and also avoid parsing the config file
        multiple times.
        This bug was introduced in 5.9.4:
        Someone made a (tested) change to make sure the view scrolled to the
        right place on startup.
        I then made a (tested) commit fixing the crash on exit
        The author then updated his patch to my changes, but now in a way that
        didn't work.
      + Sort the themes in decoration KCM
        Even though we're using a QSortFilterProxy model, by default it doesn't
        actually sort anything until instructed to.
        This patch turns sorting on.
      + Improve the x11 timestamp handling
        So far KWin only updated the x11 timestamp if the new timestamp is larger
        than the existing one. While this is a useful thing it creates problems
        when the 32 bit msec based time stamp wraps around which happens after
        running an X server for 49 days. After the timestamp wrapped around KWin
        would not update the timestamp any more and thus some calls might fail.
        Most prominent victims are keyboard and pointer grab which fails as the
        timestamp is either larger than the server timestamp or smaller than the
        last grab timestamp.
        Another problem related to timestamp handling is KWin getting broken by
        wrong timestamps sent by applications. A prominent example is clusterssh
        which used to send a timestamp as unix time which is larger than the
        x timestamp and thus our timestamp gets too large.
        This change addresses these problems by allowing to reset the timestamp.
        This is only used from updateXTime (which is normally invoked before we
        do things like grabKeyboard). Thus we make QX11Info::getTimestamp the
        ultimate trusted source for timestamps.
        Fixes KDE#377901 KDE#348569
      + Fix regression for timestamp handling for Xwayland windows
        Change 0bec9ad7337536e319c17c5684d97e1156399fdb introduced a regrssion
        on Wayland. On Wayland getTimestamp always returns 0, thus the X11
        timestamp gets reset again and again. This results in broken interaction
        for Xwayland windows as the broken unit tests show.
        This change addresses the regression by ignoring a value of 0.
        It means the addressed bug is still present on Wayland for X11 windows
        as the timestamp doesn't get updated properly. This requires further
        changes.
      + fix occassional crash caused by needlessly delayed signals (bko#363224)
        As pointed out by the Valgrind trace in #363224, delaying the signal causes
        the EffectWindow* argument to become invalid before the connected slot is
        called (this is because Qt discards only delayed signal->slot calls where
        the receiver gets deleted meanwhile, not the sender and definitely not
        a random argument.
        If the supposed glitches really happen, they should get fixed correctly,
        and for all cases (I doubt only desktop number would be involved but
        not e.g. shaded or minimized states).
        Related to KDE#363224

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Jun 2017 13:43:10 +0200

kwin (4:5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6) (Closes: 846508)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Mar 2017 14:38:54 +0100

kwin (4:5.8.5-2) unstable; urgency=medium

  * Be more strict about runtime dependencies.
    Thanks to Ben Longbons for reporting (Closes: 848523)
  * Drop forced qtwayland runtime dependency.
    Thanks to Martin Graesslin for reporting (Closes: 855410)
  * Update kwin-wayland description about being a preview release.
    Thanks to Ben Longbons for reporting (Closes: 848524)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Feb 2017 10:42:33 +0100

kwin (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:18 +0100

kwin (4:5.8.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.4)
  * Add breeze-dev build dependency.
    Thanks to Martin Graesslin for the report (Closes: 842912)
  * Bump qt buid deps and deps to 5.7
  * kwin-x11: Add provides x-window-manager

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:36:53 +0100

kwin (4:5.8.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:26:03 +0200

kwin (4:5.8.1-1) unstable; urgency=medium

  * Update copyright information

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:00:42 +0200

kwin (4:5.8.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Update symbols files.
  * Follow upstream soversion bump
  * Update install files
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:08:55 +0200

kwin (4:5.7.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * autopkgtest: switch from oxygen5-icon-theme back to the canonical
    oxygen-icon-theme.

  [ Maximiliano Curia ]
  * Add plasma-desktop recommends.
    Thanks to HJ (Closes: 834954)
  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 00:12:30 +0200

kwin (4:5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Jonathan Riddell ]
  * add KWinX11Platform.so to kwin-x11

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Jul 2016 10:22:59 +0200

kwin (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 18:14:24 +0200

kwin (4:5.6.4-3) unstable; urgency=medium

  * Add kwayland windowsystem platform plugin dependency
  * Add XInput build dependency
  * Add xwayland runtime dependency in kwin-wayland

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 14:27:18 +0200

kwin (4:5.6.4-2) unstable; urgency=medium

  * Update copyright information
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 10:42:19 +0200

kwin (4:5.6.4-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Bump Standards-Version to 3.9.8
  * Update symbols files.
  * Drop missing symbol

  [ Maximiliano Curia ]
  * Revert "Add missing closes"
  * Keep unreleased with preview versions
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Follow upstream soversion bumps
  * Update symbols files
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add new lintian-override about ldconfig-trigger for libkdeinit5_kwin_x11.so
  * Update testsuite

  [ Debian/Kubuntu Qt/KDE Maintainers ]
  * Drop kwinglesutils, removed upstream

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 21:45:59 +0200

kwin (4:5.5.4-2) experimental; urgency=medium

  * Rebuild due to typo in symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 02 Feb 2016 10:29:43 +0100

kwin (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * Update symbols files from buildds logs (4:5.4.3-1.1).
  * New upstream release (5.5.1).
  * Follow upstream soversion bump
  * Add virtual backend.
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:45 +0100

kwin (4:5.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add mips64 and mips64el into the arch list of libkwinglutils6.
    (Closes: #801800)

 -- YunQiang Su <syq@debian.org>  Thu, 03 Dec 2015 12:37:32 +0800

kwin (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).
  * Update symbols files from buildds logs (4:5.4.2-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:37 +0100

kwin (4:5.4.2-1) unstable; urgency=medium

  [ Luigi Toscano ]
  * Changes to Recommends for kwin-common:
    - add libqt5multimedia5-plugins (it enables the playback of the
      preview of KWin effects);
    - remove libqt5multimedia5 (it is dependency of the required
      qml-module-qtmultimedia package).

  [ Maximiliano Curia ]
  * New upstream release (5.4.2).
  * Update symbols files from buildds logs (4:5.4.1-1).
  * Drop upstream patch:
    upstream_fake_a_leave_event_for_the_decoration_when_client_is_left.d
    iff

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:48 +0200

kwin (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).
  * New upstream patch:
    upstream_fake_a_leave_event_for_the_decoration_when_client_is_left.d
    iff

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:44:56 +0200

kwin (4:5.4.0-2) unstable; urgency=medium

  [ Felix Geyer ]
  * Tighten the dependency of kde-window-manager on kwin-x11 to the version
    that provides the /usr/bin/kwin symlink.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Sep 2015 12:20:03 +0200

kwin (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 11:06:10 +0200

kwin (4:5.3.2-4) unstable; urgency=medium

  * Team upload.

  [ Scott Kitterman ]
  * Add debian/kwin-x11.links to add symlink for usr/bin/kiwn so that kwin
    will be properly started with KDE 4 (Plasma 1) (Closes: #793026)
  * Drop #793026 from the debian/changelog entry for the last upload, since it
    did not fix the bug

  [ Felix Geyer ]
  * Update symbols files for gcc 5.
  * Make kwin-x11 break/replace kde-window-manager (<< 4:5) because of the
    /usr/bin/kwin file conflict.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 26 Aug 2015 01:18:42 +0200

kwin (4:5.3.2-3) unstable; urgency=high

  [ Maximiliano Curia ]
  * kwin-wayland: Add qtwayland5 dependency, for the wayland qt5 plugin.

  [ Scott Kitterman ]
  * Urgency high for RC but fix in testing
  * Remove obsolete kwin alternative and add new alternative for kwin_x11 so
    kwin will work as x-window-manager (Closes: #792849, #793997)

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 29 Jul 2015 16:43:28 -0400

kwin (4:5.3.2-2) unstable; urgency=medium

  * Adds missing arches to libkwingl*utils6. (Closes: #792481) Thanks to
    Dejan Latinovic, and Scott Kitterman
  * Add a kde-window-manager transitional package.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jul 2015 18:47:45 +0200

kwin (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * Update symbols files.
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).
  * Add the missing Breaks/Replaces.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jul 2015 12:20:41 +0200

kwin (4:5.3.1-0ubuntu3) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Jun 2015 00:27:17 -0600

kwin (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Manual merge kubuntu_stable.

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:34:16 +0200

kwin (4:5.2.2a-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * New upstream tar.
  * Append a to version so launchpad accepts new tar.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:33:08 -0700

kwin (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * Split kwin package in common, x11 and wayland.
  * Update symbols files.
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:20 +0100

kwin (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Batchpatch symbols file.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:42:26 -0800

kwin (4:5.2.0.1-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Feb 2015 09:21:57 +0100

kwin (4:5.2.0.1-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Soversion bump properly
  * Rename packages for 5->6 transition in library version
  * Update install accordingly
    + Apply more restrictive wildcards to prevent sobumps slip past us
  * New lib packages break/replace the old ones <<5.2.0 because the
    pre-release packages were uploaded with libfoo.so.6 in the .so.5 packages

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:54:41 +0100

kwin (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * version kwayland build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 12:30:57 +0100

kwin (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:31:59 +0100

kwin (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * remove obsolete patch kubuntu_kf5-version.diff
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:22:19 +0100

kwin (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * New package libkwinglesutils5 on armhf

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:47:53 +0100

kwin (4:5.1.0.1-0ubuntu2) vivid; urgency=medium

  * Add install.armhf files for armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 17:12:18 +0100

kwin (4:5.1.0.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release
  * Add kubuntu_kf5-version.diff to build with KF5 5.2
  * Build-dep on libkf5windowsystem-dev (>= 5.3.0~)
  * Add build-dep on kwayland-dev

  [ Harald Sitter ]
  * Add/update lintian overrides
    + All manpage warnings: we don't care
    + All warnings to do with kdeinit: it's not a shared lib by design
    + All warnings to do with internal/private libs having no versioned soname

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:49:05 +0200

kwin (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:17:10 -0700

kwin (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:43:00 +0200

kwin (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:20:34 +0200

kwin (4:4.97.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scarlett Clark ]
  * Fix install file

  [ José Manuel Santamaría Lema ]
  * Build depend on libegl1-mesa-dev.
  * Make kwin depend on kwin-data (= ${source:Version}) instead of
    ${binary:Version}
  * Remove harcoded depends on libraries from kwin, rely on ${shlibs:Depends}
    instead.

  [ Scarlett Clark ]
  * change kwin-data to arch all

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:25:41 +0100
